OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.CopyDepthToColor

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetNVCopyDepthToColor :: MonadIO m => m Bool
- gl_NV_copy_depth_to_color :: Bool
- gl_DEPTH_STENCIL_TO_BGRA_NV :: GLenum
- gl_DEPTH_STENCIL_TO_RGBA_NV :: GLenum

# Extension Support

glGetNVCopyDepthToColor :: MonadIO m => m Bool

Is the NV_copy_depth_to_color extension supported?

gl_NV_copy_depth_to_color :: Bool

Is the NV_copy_depth_to_color extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVCopyDepthToColor` in those cases instead.

# Enums

gl_DEPTH_STENCIL_TO_BGRA_NV :: GLenum

gl_DEPTH_STENCIL_TO_RGBA_NV :: GLenum